Kerbal Space Program - Bug #13425

Mission: Flyby sun & orbit around sun since 1.2.2 : Workaround Found
12/13/2016 11:06 PM - AlffromKerbal

Status: Confirmed Start date: 12/13/2016
Severity: Normal % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.41 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game, Making History

Description

I'm playing career.
| experienced, that flyby at sun and orbit around sun is the same and got accomplished.

Now, flyby is recognized, but orbit around sun isn't, but i am orbiting sun at some high orbit just escaped Kerbin.
Related mission part isn't green.

What orbit height i would need (where the hell we would know of?) or is it a bug?

History

#1 - 12/30/2016 01:06 AM - bewing

You may need to exit the Sun's SOI (that is, reenter Kerbin's SOI) for that contract to be filled.

#2 - 12/30/2016 02:47 PM - AlffromKerbal

| did and wondered back at Kerbin why my tourist wasn't satisfied. Flyby complete but not the orbiting part. Quicksave provides the vessel in sunorbit
(or flyby? ;) ). If i remember correctly, there is an already set reenter node to Kerbin SOI.

#3 - 01/13/2017 10:53 PM - AlffromKerbal

| tried with a Kerbal from that vessel in savegame (i think) to redo this "orbit around the sun" and didn't work again.
But recently, i brought other Kerbals out of Kerbin SOI and as soon i switched to the vessel, "orbit arount the sun" got acknowledged.

Finally, i cannot really say if there is a bug or not (pls. check the savegame for yourself), since this time it worked. Last time, when i tried 2 times with
the same Kerbal(s), it didn't.

Can it be dependent of time or range away from SOI of Kerbin?

#4 - 01/16/2017 10:55 AM - rudi1291
- File screenshot510.png added
- File screenshot511.png added
- File screenshot512.png added
- File screenshot513.png added

- File persistent.sfs added

Had a look through my current career and checked all the random stuff orbiting the sun in that savegame. It seems that only the stuff currently orbiting
higher than Kerbin is recognized as orbiting the sun... At least in my savegame. CanA't reproduce it with a new savegame

#5 - 01/16/2017 12:19 PM - AlffromKerbal

Interesting, i will try to check this when i have time with cheat options (changing orbit/positions of vessels).

#6 - 01/16/2017 03:15 PM - AlffromKerbal

| used my provided quicksavegame and both ways didn't accomplish Helzie's "orbit arount the sun".
| cheated to 25,000,000,000m "low" sunorbit (1st object orbiting sun), switched to tracking station and back, also tried
cheating to "high" sunorbit at 250,000,000,000m (did i miss a "0"? At least it was far outside the most outer planet) - no luck with completing mission
objective "orbit around the sun".

#7 - 03/24/2018 06:28 AM - jclovis3

- File Crew all still on board vessel.png added

- File Orbit around The Sun not flagged as complete.png added

- File Selected ship orbitting sun with crew showing.png added

- File Ships is now active with no maneuver or SOl intercept.png added
- Category set to Gameplay

- Version changed from 1.2.2 to 1.4.1

- Platform Windows added

- Expansion Core Game, Making History added

This bug still persists in version 1.4.1 with Making History. I've set the vessel on an orbit just outside Kerbin with no SOl intercept expected, then went
from tracking station to control of the vessel and even removed the maneuver but orbit sun doesn't trigger. | think I've seen it work before, but in this
instance, it is not. | assume that leaving or entering a planet's SOI is the difference between a sun orbit and fly by. Here are some more photos to
make my case.

Windows 10, 64-bit, Unmodded (Just Making History DLC)

#8 - 03/24/2018 12:22 PM - jclovis3

- Subject changed from Mission: Flyby sun & orbit around sun since 1.2.2 to Mission: Flyby sun & orbit around sun since 1.2.2 : Workaround Found

| have found a workaround that should help pinpoint the cause of the bug for the developers. | took a vessel with 3 tourists, 2 of which needed Orbit
Sun and 1 just needed a Fly-by. This way | can see in which cases each is detected. | performed a quick save 5 minutes before the target ship exits
Kerbin SOI. When in control of the ship with or without warp, both Orbit and Fly-by are detected. When in control of another ship not in the area (mine
was landed on Minmus) or when in the tracking station, only the Fly-by is detected. This doesn't matter if you have focus on the target ship or not.

So the problem is with the location of where checks occur for Orbit Sun. More over, it proves that Orbit Sun and Fly-by are triggered by the same
event, leaving Kerbin SOI. This makes one of them redundant.

#9 - 05/11/2018 07:34 AM - jclovis3
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Just an update. This bug still exists in 1.4.3 and did not get fixed with the recent contract messaging bug fix. The symptoms are still the same. Both
Fly-by and Orbit are awarded credit only when in control of the vessel, but Fly-by is all that can be awarded if not in control of the vessel. Both
achievements are in essence the same so either one of two things needs to happen:

1. Get rid of Fly-by and fix orbit
2. Make Fly-by more related to distance from Sun (like inside the Moho orbit ring), which could mean increasing the challenge difficulty if it requires
to get that close (and the reward)

#10 - 09/07/2019 08:43 AM - vtk

Still occurs in 1.7.3.

I have a hunch this may be related to incorrectly assigning situations to vessels on SOI change. If the game for some reason decides that a vessel is
"on escape trajectory out of The Sun" (when just looking at the map view or tracking station it clearly is in a closed orbit around The Sun) then the
itinerary parameter "Orbit around The Sun" for any tourists aboard that vessel will not be satisfied. Changing "sit = ESCAPING" to "sit = ORBITING" in
the savegame will fix the situation description in the tracking station, but it won't fix the contract, as these contract parameters are apparently only
tested on SOI change. (I can't seem to find an issue describing this vessel situation bug, but I've noticed it for a long time, and | did find Bug #6011
note number 6 [https://bugs.kerbalspaceprogram.com/issues/6011#note-6] a reference to a known issue that sounds like it could be the bug I'm
describing.)

Files

SunOrbit.sfs.zip 661 KB 12/13/2016 AlffromKerbal
screenshot511.png 486 KB 01/16/2017 rudi1291
screenshot510.png 656 KB 01/16/2017 rudi1291
screenshot512.png 489 KB 01/16/2017 rudi1291
screenshot513.png 498 KB 01/16/2017 rudi1291
persistent.sfs 53.3 KB 01/16/2017 rudi1291
